# Class DateFormatCache

java.lang.Object
org.apache.juli.DateFormatCache

public class DateFormatCache extends Object

Cache structure for SimpleDateFormat formatted timestamps based on seconds.

Millisecond formatting using S is not supported. You should add the millisecond information after getting back the second formatting.

The cache consists of entries for a consecutive range of seconds. The length of the range is configurable. It is implemented based on a cyclic buffer. New entries shift the range.

The cache is not thread safe. It can be used without synchronization via thread local instances, or with synchronization as a global cache.

The cache can be created with a parent cache to build a cache hierarchy. Access to the parent cache is thread safe.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final char`
`MSEC_PATTERN`

## Constructor Summary

Constructors
Constructor
Description
`DateFormatCache(int size, String format, DateFormatCache parent)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFormat(long time)`
`String`
`getTimeFormat()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MSEC_PATTERN

public static final char MSEC_PATTERN

See Also:
  - Constant Field Values

## Constructor Details

### DateFormatCache

public DateFormatCache(int size, String format, DateFormatCache parent)

## Method Details

### getFormat

public String getFormat(long time)

### getTimeFormat

public String getTimeFormat()